Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.window
Class JRexBaseBrowser

    java.lang.Object
      org.mozilla.jrex.window.JRexBaseBrowser

Direct Known Subclasses:
  JRexTabbedBrowser, JRexWindowBrowser

public abstract class JRexBaseBrowser
extends Object

A class implementing the common behavior of all modes in JRexWindowManager.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `JRexWindowManager`

Field Summary
`protected static String` | `className`
`protected static String` | `JREXBROWSER`
`protected WindowListener` | `jrexWinListener`
`protected JComponent` | `rootComponent`
`protected boolean` | `rootCreated`
`protected Window` | `rootWindow`
`protected Dimension` | `screenSize`
`protected Hashtable` | `windowTable`

Constructor Summary
`protected` | `JRexBaseBrowser()`

Method Summary
`void` | `addJRexWindowListener(WindowListener wl)`
`JRexBrowserData` | `addWindow(JRexCanvas browser, Container parent, Container rootParent, Window window, long chromeFlags)`
`int` | `createWindow(int parentPeer, long chromeFlags)`
`void` | `destroyTab(int browserPeer)`
`void` | `destroyWindow(int browserPeer)`
`protected void` | `destroyWindowInternal(Window window, int browserPeer)`
`void` | `dispose()`
`protected void` | `dressUP(JComponent mainPanel, JRexBrowserData browserData, int mode)`
`JRexCanvas` | `getBrowser(int browserPeer)`
`JRexBrowserData` | `getBrowserData(int browserPeer)`
`JRexCanvas` | `getBrowserForParent(Container parent)`
`Iterator` | `getBrowserForRootParent(Container rootParent)`
`Iterator` | `getBrowserForWindow(Window window)`
`Container` | `getBrowserParent(int browserPeer)`
`Container` | `getBrowserRootParent(int browserPeer)`
`Window` | `getBrowserWindow(int browserPeer)`
`void` | `init(JComponent comp)`
`protected int` | `makeDialog(int parentPeer, long chromeFlags, boolean modal)`
`void` | `openNewTab(int parentPeer, String uri, int loadFlags)`
`void` | `openNewWindow(int parentPeer, String uri, int loadFlags)`
`void` | `removeJRexWindowListener()`
`void` | `removeWindow(int browserPeer)`
`void` | `setChromeFlags(int browserPeer, long chromeFlags)`
`void` | `setModal(int browserPeer, boolean modal)`
`void` | `setRealized(int browserPeer)`
`void` | `setSize(int browserPeer, Dimension dim)`
`void` | `setTitle(int browserPeer, String title)`
`protected JRexBrowserData` | `setupBrowser(JComponent browserContainer, JComponent rootContainer, Window window, long chromeFlags, JRexCanvas browser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### className

    protected static final String className

### JREXBROWSER

    protected static final String JREXBROWSER

See Also:
  Constant Field Values

### windowTable

    protected final Hashtable windowTable

### screenSize

    protected final Dimension screenSize

### rootComponent

    protected JComponent rootComponent

### rootWindow

    protected Window rootWindow

### rootCreated

    protected boolean rootCreated

### jrexWinListener

    protected WindowListener jrexWinListener

Constructor Detail

### JRexBaseBrowser

    protected JRexBaseBrowser()

Method Detail

### init

    public void init(JComponent comp)

### openNewWindow

    public void openNewWindow(int parentPeer,
                              String uri,
                              int loadFlags)

### openNewTab

    public void openNewTab(int parentPeer,
                           String uri,
                           int loadFlags)

### addWindow

    public JRexBrowserData addWindow(JRexCanvas browser,
                                     Container parent,
                                     Container rootParent,
                                     Window window,
                                     long chromeFlags)

### removeWindow

    public void removeWindow(int browserPeer)

### setupBrowser

    protected JRexBrowserData setupBrowser(JComponent browserContainer,
                                           JComponent rootContainer,
                                           Window window,
                                           long chromeFlags,
                                           JRexCanvas browser)

### dressUP

    protected void dressUP(JComponent mainPanel,
                           JRexBrowserData browserData,
                           int mode)

### createWindow

    public int createWindow(int parentPeer,
                            long chromeFlags)

### makeDialog

    protected int makeDialog(int parentPeer,
                             long chromeFlags,
                             boolean modal)

### setModal

    public void setModal(int browserPeer,
                         boolean modal)

### setSize

    public void setSize(int browserPeer,
                        Dimension dim)

### setTitle

    public void setTitle(int browserPeer,
                         String title)

### setChromeFlags

    public void setChromeFlags(int browserPeer,
                               long chromeFlags)

### setRealized

    public void setRealized(int browserPeer)

### destroyTab

    public void destroyTab(int browserPeer)

### destroyWindow

    public void destroyWindow(int browserPeer)

### destroyWindowInternal

    protected void destroyWindowInternal(Window window,
                                         int browserPeer)

### getBrowser

    public JRexCanvas getBrowser(int browserPeer)

### getBrowserForWindow

    public Iterator getBrowserForWindow(Window window)

### getBrowserForRootParent

    public Iterator getBrowserForRootParent(Container rootParent)

### getBrowserForParent

    public JRexCanvas getBrowserForParent(Container parent)

### getBrowserParent

    public Container getBrowserParent(int browserPeer)

### getBrowserRootParent

    public Container getBrowserRootParent(int browserPeer)

### getBrowserWindow

    public Window getBrowserWindow(int browserPeer)

### getBrowserData

    public JRexBrowserData getBrowserData(int browserPeer)

### addJRexWindowListener

    public void addJRexWindowListener(WindowListener wl)

### removeJRexWindowListener

    public void removeJRexWindowListener()

### dispose

    public void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.